
QGIS Application - Bug report #17552

Main window in master does not fit on 1360 pixel width screen

2017-11-26 08:39 AM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: Yes

Operating System: Debian 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25449

Description

Related issue: #17233

My computer has two screens, but Qgis was started up on the screen that is 1360x768.

The other screen is 1600x1200.

On the 1600x1200 screen the main window displays maximized as expected and only gives the funny resize behavior seen in #17233

when the project is saved.

On the 1360x768 screen as soon as the window is dragged onto this screen and maximized, the window refuses to stay maximized to this

screen size and resizes itself to a greater width and also pushes the window lower on the screen by about the height of the title bar so the

window is no longer at the top of the screen.

master version: cd0ba91

History

#1 - 2017-11-26 12:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this an issue on 2.18.14?

#2 - 2017-11-28 04:34 AM - Patrick Dunford

Not seen the issue on 2.18.14

#3 - 2017-11-30 04:34 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-11-30 10:43 AM - Patrick Dunford

- File Screenshot_2017-11-29_23-58-08.png added

This is a resized screen. What seems to be happening is the screen size is expanded to provide enough room to display messages in the status bar, so a

long message pushes the window much wider for space. I have seen some windows nearly twice the width of the screen and it seems to be happening

whenever a status message needs to be displayed. The most common time is when the project is saved (as referred to in #17233)

This is probably actually the same as #17233
#5 - 2017-11-30 04:34 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#6 - 2017-12-01 07:22 AM - Patrick Dunford

- File Screenshot_2017-12-01_19-19-43.png added

Here's a more extreme example, all that empty space on the status bar was needed to display a save message with the full save path displayed.

#7 - 2017-12-01 09:40 AM - Richard Duivenvoorde

- Description updated

#8 - 2017-12-01 09:48 AM - Jürgen Fischer

- Description updated

#9 - 2017-12-01 10:28 AM - Patrick Dunford

If I was you I would put this as a duplicate of 17233

#10 - 2017-12-02 06:28 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Files

Screenshot_2017-11-29_23-58-08.png 1.17 MB 2017-11-30 Patrick Dunford

Screenshot_2017-12-01_19-19-43.png 1.61 MB 2017-12-01 Patrick Dunford
